Soporte » Multisitio » Mensaje de error: Las respuesta no es una respuesta JSON válida

  • Pablo Moratinos

    (@pablo-moratinos)


    Hola, desde que he actualizado a 5.3 mi multisite, al ir a publicar o guardar el borrador de un post (o al hacer vista previa), obtengo el siguiente error:
    «Ha fallado la actualización. Mensaje de error: Las respuesta no es una respuesta JSON válida.» y naturalmente no se guarda.
    ¿Alguna idea?

    La página con la que necesito ayuda: [accede para ver el enlace]

Viendo 12 respuestas - 16 de 27 (de 27 total)
  • Hola @darkkail claro que puedo ayudarte!

    Hola,
    a mi me ha pasado lo mismo, y despues de ir mirando al final he visto que el problema lo genera el tema que tengo instalado, El naitve theme. mirare de adaptarlo con el tema hello de elementor, ya que la tengo toda hecha en elementor, pero para guiar a los que os pasa lo mismo.

    Buenos dias!, mi primer aporte al foro, me pasaba lo mismo en un sitio con:
    wordpress 5.3, servidor Vesta en ubuntu14.
    Me di cuenta que cambiando permalinks de POSTNAME a PLAIN funcionaba todo bien.
    Lo que, por supuesto, no era una solución definitiva.

    Asi que desde el ftp cree el archivo .htaccess con el siguiente contenido:

    # BEGIN WordPress
    <IfModule mod_rewrite.c>
    RewriteEngine On
    RewriteBase /
    RewriteRule ^index\.php$ - [L]
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteRule . /index.php [L]
    </IfModule>
    # END WordPress

    Basado en la recomendacion de:
    https://www.wpbeginner.com/wp-tutorials/how-to-fix-wordpress-posts-returning-404-error/

    Espero que sirva,
    Saludos y suerte 🙂

    • Esta respuesta fue modificada hace 1 mes, 2 semanas por banoviez.
    Moderador LGrusin

    (@lgrusin)

    @banoviez ese contenido del archivo .htaccess es exactamente el mismo que crea WordPress. Igual te lo hubiese bastado con actualizar el permalink.

    Buenas Pablo,
    Finalmente lo he solucionado de una manera muy simple, la ruta de instalación de WordPress no estaba correctamente indicada en Ajustes > Generales en mi caso en concreto estaba forzando una redirección en el htaccess para forzar el https:// pero estaba indicando en la ruta de instalación como http://

    Comprueba la ruta de la instalación del multisitio, ya que podría estar por ahí el problema.

    Un abrazo!

    Adrián de Grafreak

    (@adriandegrafreak)

    Hola @pablo-moratinos

    ¿Solucionaste el error? ¿Has podido actualizar a la 5.3.2 y que funcione?

    (…)

    😜 Recuerda comentar la solución y cierra el hilo, así nos ayudas mantener el foro al día.

    Pablo Moratinos

    (@pablo-moratinos)

    Hola @victorsaenztm, no parece que tenga que ver con eso. En el htaccess solo tengo la redirección del login sin barra y además todo está en http.

    La actualización a 5.3.2 tampoco ha cambiado nada.

    No te preocupes del cierre del post, @adriandegrafreak, que lo haré en cuanto lo resuelva, como siempre 😉

    Adrián de Grafreak

    (@adriandegrafreak)

    En otro hilo un usuario me dijo que tenía problemas con los ssl, los certificados y el cloudflare. Pero no creo que sea tu caso.
    https://es.wordpress.org/support/topic/no-puedo-utilizar-el-editor-de-texto-ni-personalizar-el-tema/

    En ese hilo le proponía si le pasaba con un nuevo post o a medida q se iban añadiendo bloques pasaba ¿Has hecho la prueba?

    Pablo Moratinos

    (@pablo-moratinos)

    No, no estoy usando ni certificados de seguridad ni Cloudflare.
    Sucede tanto con nuevas entradas como editando antiguas. En el momento que intento actualizarlas, se queda guardando indefinidamente hasta que salta el error.

    Estoy viendo que en algunos sitios más antiguos de la red no pasa, solo en los más recientes.

    Para descartar si esto se debe a la configuración del servidor, configurar los enlaces permantenes en la opción «Simple». Si todo funciona, entonces es posible que sea un problema de configuración del servidor.

    Para resolverlo, es necesario cambiar el archivo apache.conf (o apache2.conf), para que sea capaz de interpretar el .htaccess

    <Directory /var/www/html/>
      ...
      AllowOverride All
      ...
    </Directory> 

    Las carpetas y ubicación dependerán de la configuración del servidor. Algo como esto: /etc/apache2/apache2.conf.

    Espero esto contribuya a resolver el problema.

    • Esta respuesta fue modificada hace 3 semanas, 5 días por webintegral.

    Hola, el problema no se resuelve modificando los ajustes de los enlaces permanentes 🙁
    Gracias

    En Boluda.com hemos recibido varios tickets, y preguntando a Pablo, me ha coincidido que todos los usuarios son clientes de CDMON ¿alguien ha podido solucionarlo manteniendo Gutenberg?

Viendo 12 respuestas - 16 de 27 (de 27 total)
  • Debes estar registrado para responder a este debate.